# The HaruEncoder class

(PECL haru >= 0.0.1)

## Introduction

Haru PDF Encoder Class.

## Class synopsis

HaruEncoder {
/* Methods */
getByteType ( string `$text` , int `$index` ) : int
getType ( void ) : int
getUnicode ( int `$character` ) : int
getWritingMode ( void ) : int
}

## Predefined Constants

Type | Name | Description
--- | --- | ---
int | HaruEncoder::TYPE_SINGLE_BYTE |
int | HaruEncoder::TYPE_DOUBLE_BYTE |
int | HaruEncoder::TYPE_UNINITIALIZED |
int | HaruEncoder::UNKNOWN |
int | HaruEncoder::WMODE_HORIZONTAL |
int | HaruEncoder::WMODE_VERTICAL |
int | HaruEncoder::BYTE_TYPE_SINGLE |
int | HaruEncoder::BYTE_TYPE_LEAD |
int | HaruEncoder::BYTE_TYPE_TRAIL |
int | HaruEncoder::BYTE_TYPE_UNKNOWN |

## Table of Contents

- HaruEncoder::getByteType — Get the type of the byte in the text
- HaruEncoder::getType — Get the type of the encoder
- HaruEncoder::getUnicode — Convert the specified character to unicode
- HaruEncoder::getWritingMode — Get the writing mode of the encoder